# $Revision: 1.12 $, $Date: 2010/03/01 15:41:06 $
Summary:	setup.rb - a generic installer for Ruby scripts
Summary(pl.UTF-8):	setup.rb - ogólny instalator dla skryptów języka Ruby
Name:		setup.rb
Version:	3.4.1
Release:	3
License:	GPL
Group:		Development/Tools
Source0:	http://i.loveruby.net/archive/setup/setup-%{version}.tar.gz
# Source0-md5:	f0759ec72473e5802d9571df4da6642c
URL:		http://i.loveruby.net/en/prog/setup.html
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
setup.rb is a generic installer for Ruby scripts.

%description -l pl.UTF-8
setup.rb to ogólny instalator dla skryptów języka Ruby.

%prep
%setup -q -n setup-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}
install setup.rb $RPM_BUILD_ROOT%{_datadir}/setup.rb

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Makefile README.en TODO doc.en NEWS.en Template.README.en
%doc Usage_en.txt sample
%lang(jp) %doc README.ja doc.ja NEWS.ja Template.README.ja Usage_ja.txt
%attr(755,root,root) %{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: setup.rb.spec,v $
Revision 1.12  2010/03/01 15:41:06  baggins
- rel 3

Revision 1.11  2009/01/06 07:20:08  glen
- release 2

Revision 1.10  2009/01/06 07:19:48  glen
- cleanup

Revision 1.9  2008/05/04 20:27:32  twittner
- up to 3.4.1
- noarch

Revision 1.8  2007-02-12 22:09:14  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.6  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.5  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.4  2005/12/27 09:47:59  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.3  2005/12/26 23:50:12  glen
- use system ruby macros; cleanups

Revision 1.2  2005/06/26 18:13:21  qboosh
- pl, cleanup

Revision 1.1  2005/06/25 16:57:32  aredridel
- added
